from cocos.audio.effect import Effect


class Dummy(object):
    def play(self):
        pass


class Sounds(object):
    def __init__(self):
        self.cut = Dummy()
        self.shot = Dummy()
        self.poof = Dummy()

    def init(self):
        try:
            from cocos.audio.music import pygame
            pygame.music.load('data/music.ogg')
            pygame.music.play(-1)
        except Exception:  # Shit happens pattern
            print "Sorry, no music"
            return

        self.shot = Effect('data/shot.wav')
        self.cut = Effect('data/cut.wav')
        self.poof = Effect('data/poof.wav')

    def play_shot(self):
        self.shot.play()

    def play_cut(self):
        self.cut.play()

    def play_poof(self):
        self.poof.play()


sounds = Sounds()
